Record a deployment
curl --request POST \
--url https://app.aiaxoniq.com/api/deployments \
--header 'Content-Type: application/json' \
--cookie oiq_token= \
--data '
{
"service": "<string>",
"version": "<string>",
"environment": "<string>",
"status": "<string>",
"deployer": "<string>",
"gitSha": "<string>",
"gitRef": "<string>",
"notes": "<string>",
"metadata": {},
"startedAt": "<string>",
"finishedAt": "<string>"
}
'import requests
url = "https://app.aiaxoniq.com/api/deployments"
payload = {
"service": "<string>",
"version": "<string>",
"environment": "<string>",
"status": "<string>",
"deployer": "<string>",
"gitSha": "<string>",
"gitRef": "<string>",
"notes": "<string>",
"metadata": {},
"startedAt": "<string>",
"finishedAt": "<string>"
}
headers = {
"cookie": "oiq_token=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'oiq_token=', 'Content-Type': 'application/json'},
body: JSON.stringify({
service: '<string>',
version: '<string>',
environment: '<string>',
status: '<string>',
deployer: '<string>',
gitSha: '<string>',
gitRef: '<string>',
notes: '<string>',
metadata: {},
startedAt: '<string>',
finishedAt: '<string>'
})
};
fetch('https://app.aiaxoniq.com/api/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Services
Record a deployment
service and version are enforced by the handler, which answers 400 with a field-specific message when either is missing.
POST
/
api
/
deployments
Record a deployment
Authorizations
sessionCookiebearerAuth
Query Parameters
Tenant identifier. Overwritten from the authenticated session; a value naming a different tenant is refused with 403.
Required string length:
1 - 64Pattern:
^[A-Za-z0-9][A-Za-z0-9_-]*$Body
application/json
Maximum string length:
256Maximum string length:
256Maximum string length:
512One of pending, in_progress, success, failed, rolled_back. Default success.
Maximum string length:
32Maximum string length:
512Maximum string length:
512Maximum string length:
512Maximum string length:
8192ISO-8601. Defaults to now.
ISO-8601. Null while in progress.
Response
200
Success
⌘I